jakarta-bsf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ant elder" <ant.el...@gmail.com>
Subject Re: Build-problems... (Re: [VOTE] Release BSF 3.0-beta2
Date Thu, 01 Nov 2007 21:18:29 GMT
On 11/1/07, Rony G. Flatscher <Rony.Flatscher@wu-wien.ac.at> wrote:
>
> ant elder wrote:
> > I've just tried downloading the src distro to another clean machine and
> > building there and it was fine, so  i wonder if the build problem with
> > jdk5/6 is some hang over thing from the fail with jdk 1.4? Could you try
> > with mvn clean and mvn -U?
> >
> Just tried it to no avail (same error).
>
> Will create a totally clean machine and build the distribution and come
> back with what has happened.
>
> ---rony


With the JDK5/1.4 issue, i've been working on the assumption that the actual
source code does require JDK5, the JSR-223 spec uses JDK5 specifics  eg the
Invocable  interface has  invokeFunction(String methodName , Object... args)
so that just wont compile with pre JDK5 so i run with JDK5 in my build.
However it looks like the recent patches have removed all the JDK5 specifics
in the BSF src converting to the JDK14 syntax, except for the code I've
added recently that you've now found :) If possible I'd like to avoid a
respin to fix this and just have the limitation that beta2 requires a JDK5
build environment - the built bsf jars will still work in pre-jdk5. Still
need to find if the compile error you're seeing is a problem and why i'm not
getting it.

   ...ant

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message